Subject: Re: [PATCH v2 4/4] bisect: simplify string_list memory handling

From: Taylor Blau <[email-masked]>
Date: Sun, 1 Feb 2026 21:14:20 -0500

On Fri, Jan 30, 2026 at 08:56:36AM -0800, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
>
> > It was written this way originally because one of the callsites
> > generated the item using xstrfmt(). But that spot switched to a plain
> > xstrdup() in the preceding commit. That means we can now just let the
> > string_list code handle allocation itself.
>
> Thanks for an extra attention to the detail of the way to refer the
> previous change ;-).
>
> I think [2/4] is a good direction myself, but I'd prefer to hear
> Taylor's opinion as well.

After thinking it over and re-reading the second round, I am still not
quite convinced that this is the right approach. I left some more
thoughts on possible alternatives in my response to [2/4].

Thanks,
Taylor